Subject: Re: Some comment about Cygwin1.1.4
From: GRENON Richard <[email-masked]>
To: [email-masked]
Date: Thu, 10 Aug 2000 10:35:05 +0200

Hello,

I followed the discussion about my first mail. I received an info about
a possible .bashrc file and I did'not see it on the mailing list so I
send a copy. Maybe somebody would be interested in. I would not be able
to do the test before a week, so if anybody wants to try ...

>From: "Robert Praetorius"
>
>A slightly relevant addition to the bash discussion.  I
>discovered, almost accidentally, after not having read that part of
>the bash docs for years, that bash has a facility for encapsulating
>special characters in prompt strings so that they don't cause cause
>confusion in line wrap calculations, etc.
>
>you aren't required to put a newline in your prompt string
>to clear the effects of special characters.

>All you have to is put \[ . . . \] around the special characters.
>Here is what I have in my ~/.bashrc (last line is what matters):

Here is a copy of the last line of this .bashrc file :

export PS1='\[^[]0;\u@\h \w^G^[[32m\]$\[^[[0m\] '

Richard

--
 Richard GRENON
 ONERA
 Departement d'Aerodynamique Appliquee - DAAP/ACI
 BP 72, 92322 CHATILLON CEDEX - FRANCE
 phone : +33 1 46 73 42 17
 fax   : +33 1 46 73 41 46
 mailto:[email-masked]
 http://www.onera.fr

--
Want to unsubscribe from this list?
Send a message to [email-masked]